# 使用说明
参考
`ssh://git@103.249.252.28:10022/wangshujun/91isoft_spbt_project.git`
## 配置 settings.xml 


~~~
<mirrors>
</mirrors>
<profiles>
    <profile>
			<id>nexus</id>
			<repositories>
				<repository>
					<id>nexus-aliyun</id>
					<!--<url>http://103.249.252.109:8081/nexus/content/groups/public</url>-->
					<url>http://maven.aliyun.com/nexus/content/groups/public/</url>     
					<releases>
						<enabled>true</enabled>
					</releases>
					<snapshots>
						<enabled>true</enabled>
					</snapshots>
				</repository>
				
				<repository>
					<id>nexus-repo1</id>
					<!--<url>http://103.249.252.109:8081/nexus/content/groups/public</url>-->
					 <url> http://repo1.maven.org/maven2</url>  
          <releases>
          	<enabled>true</enabled>
          </releases>
          <snapshots>
          	<enabled>true</enabled>
          </snapshots>
				</repository>
				
				<repository>
					<id>nexus-ossrh</id>
					<!--<url>http://103.249.252.109:8081/nexus/content/groups/public</url>-->
					<url>https://oss.sonatype.org/content/repositories/snapshots</url>     
					<releases>
						<enabled>true</enabled>
					</releases>
					<snapshots>
						<enabled>true</enabled>
					</snapshots>
				</repository>
				
				<repository>
					<id>nexus-ossrh</id>
					<!--<url>http://103.249.252.109:8081/nexus/content/repositories/snapshots/</url>-->
					<url>https://oss.sonatype.org/service/local/staging/deploy/maven2/</url>     
					<releases>
						<enabled>true</enabled>
					</releases>
					<snapshots>
						<enabled>true</enabled>
					</snapshots>
				</repository>
			
			<repository>
					<id>nexus-91isoft</id>
					<name>local private nexus</name>
					<url>http://103.249.252.28:8081/nexus/content/groups/public/</url>     
					<releases>
						<enabled>true</enabled>
					</releases>
					<snapshots>
						<enabled>true</enabled>
					</snapshots>
			</repository>
			
			</repositories>
			
			<pluginRepositories>
				
				<pluginRepository>
					<id>nexus-releases</id>
					<!--<url>http://103.249.252.109:8081/nexus/content/groups/public/</url>-->
					<url>http://maven.aliyun.com/nexus/content/groups/public/</url>     
					<releases>
						<enabled>true</enabled>
					</releases>
					<snapshots>
						<enabled>true</enabled>
					</snapshots>
				</pluginRepository>
				
				
				
				<pluginRepository>
					<id>nexus-91isoft</id>
					<url>http://103.249.252.28:8081/nexus/content/groups/public/</url>    
					<releases>
						<enabled>true</enabled>
					</releases>
					<snapshots>
						<enabled>true</enabled>
					</snapshots>
				</pluginRepository>
			</pluginRepositories>
			
  	</profile>
~~~


## 配置pom.xml


~~~
  <dependencies>
        <dependency>
            <groupId>org.91isoft</groupId>
            <artifactId>91isoft_spbt</artifactId>
            <version>1.0-SNAPSHOT</version>
        </dependency>
    </dependencies>
~~~

修改配置文件：application-dev.yml
~~~
cy:
  model:
    multipleDs: false #是否开启双数据源true为开启，false为关闭
    quartz: false #是否开启定时任务
    redis: false #是否开启redis缓存
    DecryptParam: false  #参数加密验证
    CySwagger2Config: true
    #Security 配置 	
    security:
      permitAll:        
          permitUnStatic:	 #允许用户访问的地址（路径）
            - "/static/**"
            - "/webjars/**"
            - "/v2/**"
            - "/swagger-resources/**"
            - "/api-docs/**"
            - "/auth/**"
            - "/code/**/**"
            - "/excelUtil/**"
            - "/cros/**"
            - "/bspace/*"
		  #允许用户访问的地址（静态资源）
          permitStatic: ["/", "/*.html", "/favicon.ico", "/**/*.html", "/**/*.js", "/**/*.css"]  
          logoutSuccessUrl: "/login"	#登陆成功
          loginPage: "/login"		#登录
          loginfailureUrl: "/login-error.html"  #登陆失败

~~~
## 启动项目

`src\main\java\org\rcisoft\ProjectApplication.java`直接启动main函数


### 代码生成器 

默认端口号
~~~~
server:
    port: 8084
~~~~
http://localhost:8084 访问 代码生成器,可以选择数据库信息 自动生成代码

![swagger](http://learning.91isoft.com:18080/resourceServer/family/upload/mdfiles/8CE2352AE4BE4D9CBB13E891ABE8A63B.png "代码生成器")
点击生成 就会自动下载,解压后将
 ` org/rcisoft/business/`下 `bexception/mapper` 文件夹放在 
 
 ` src\main\resources\mapper\biz\ ` 下

将其余的文件放在`org.rcisoft.business` 目录中使用


### swaggerUI 
http://localhost:8084/swagger-ui.html#/  访问swaggerUI
可以看到当前项目所有的接口详情 并测试接口

![swagger](http://learning.91isoft.com:18080/resourceServer/family/upload/mdfiles/95089C91B7B742B5A589156C456AFDDB.png "swagger")


## 91isoft_spbt


| 版本 | 组件  | 描述 | 维护人 |   
| ------------ | ------------ | ------------ |------------ |
| v1.0  | lombok  | 简化冗余代码，连通编辑器和构建工具  | cy |
| v1.0  | ssm  | springmvc+spring+mybatis+mybatis扩展  | cy |
| v1.0  | springboot  | 简化spring配置  | cy |
| v1.0  | springfox-swagger2  | 在线api  | cy |
| v1.0  | logback  | 日志  | cy |
| v1.0  | jwt  | json web token 身份验证  | cy |
| v1.0  | spring-security  | 安全性框架  | cy |

### 编码规范

| 版本  | 维护人员  | 维护时间  | 主要内容 | 
| ------------ | ------------ | ------------ | ------------ |
| v1.0  | 李丛阳  | 2018-12-14  | 基础结构搭建 |

### 数据库设计规范
| 编号  | 类型 | 标题  | 描述  |
| ------------ | ------------ | ------------ | ------------ |
| 1  | 表  | 表名  | 小写，单词之间使用下划线  |
| 2  | 表  | 表名  | 中间表使用r_间隔 eg: b_r_teacher_course  |
| 3  | 表  | 表结构  | 主表必须要有6+字段(创建时间，修改时间等)，中间表不需要  |
| 4  | 列  | 列名  | 小写，单词之间使用下划线  |
| 5  | 列  | 列名  | 每一列必须要有备注  |
| 6  | 列  | 状态列  | char(1) 或 varchar(1)，备注要描述清楚状态  |


### 微服务编码规范
| 编号  | 类型 | 标题  | 描述  |
| ------------ | ------------ | ------------ | ------------ |
| 0  | 结构  | 目录规范  | 详见 91isoft_spbt_project|
| 1  | 接口  | 提供其它服务调用的接口要标明  | 模块要单独提出一个controller,requestMappeing使用/api/ 开头|
| 2  | 接口  | 返回值  | Result / GridModel|
| 3  | 接口   |  使用restful风格 | get post pust delete，/id/ |
| 4  | 接口   |  requestMappeing命名规范 | queryUsers, queryUserByPagination, detail/businessId, delete/businessId, add, update/businessId    |
| 5  | 接口   |  swagger | controller api docs |
| 6  | 结构   |  service dao | 注释，尽量复用 |
| 7  | 结构   |  tcc | 分布式事务书写规范 |
| 8  | 结构   |  entity | @Entity @Data @NoArgsConstructor @AllArgsConstructor @Table |

### sql规范

~~~~
#!bin/bash
${basedir}/sql
           -- db_init.sql 
           -- db_data.sql
           -- db_clear.sql
           -- date 
                -- db.bak.sql
                -- db.alter.sql 
           
~~~~

## 91isoft_spbt_project

| 版本 | 模块 | 描述  | 缺省 |    能否改变状态
| ------------ | ------------ | ------------ |------------ |
| v1.0  | pageUtil  | 分页组件  | 开启 | 否 |
| v1.0  | quartz  | 定时任务  | 关闭 | 是 |
| v1.0  | redis   | 缓存      | 关闭 | 是 |
| v1.0  | ssl     | https     | 关闭 | 是 |
| v1.0  | decryptParam | 报文加密     | 关闭 | 是 |
| v1.0  | entityParam  | 参数格式验证 | 开启 | 是 |
| v1.0  | swagger2     | 文档     | 开启 | 是 |
| v1.0  | multipleDs   | 多数据源     | 关闭 | 是 |
| v1.0  | dbLod   | 数据库日志     | 关闭 | 是 |

### pageUtil

1. 默认开启，不能关闭
2. service 下impl中` serviceImpl` 中要分页的方法的方法名以` ByPagination` 结尾，方法返回值为 `CyGridModel ` 
3. 用法模板：` public CyGridModel querySpaceListsByPagination(BSpace spaceList){
                bSpaceServiceImpl.querySpaceListsByPagination(getPaginationUtility(),spaceList);
                CyGridModel CyGridModel = getGridModelResponse();
                return CyGridModel;
            }` 

### quartz

1. 定时任务 默认关闭 可以在`application-dev.yml`中配置参数`cy.model.quartz` 为true设为开启

### redis 

1. 缓存机制 默认关闭 可以在`application-dev.yml`中配置`cy.model.redis` 为true设为开启
2. `application-dev.yml`中配置`spring.redis` 配置相关信息
3. 用法参考`org\rcisoft\core\service\impl\CyRedisServiceImpl.java`
 
### ssl
  
1. https请求 默认关闭 
2. 开启方法：用Java自生成`.p12` 文件 添加在resource中，并在`application-dev.yml`中添加`server.ssl` 相关配置 

### decryptParam

1. 报文加密 默认关闭 可以在`application-dev.yml`中配置`cy.model.decryptParam` 为true设为开启 
2. 开启之后 前端需将参数和`global.decryptKey `的key值一起经过md5加密，形成sign 传到后端， 

### entityParam

1. 参数格式验证 默认关闭 可以在`application-dev.yml`中配置`cy.model.entityParam` 为true设为开启 


### swagger2

1. 文档测试工具 默认开启 可以在`application-dev.yml`中配置`cy.model.entityParam` 为false即为关闭 
2. 启动项目之后再浏览器访问`http://localhost:8084/swagger-ui.html#/ `


### multipleDs

1. 多数据源 默认关闭 可以在`application-dev.yml`中配置`cy.model.multipleDs` true即为开启
2. 在`application-dev.yml`中修改`druid.power` 和` druid.pmiss` 以配置数据库相关信息

### dbLod

1. 日志存数据库 默认关闭 
2. 在 `resources\logback-spring.xml` 修改`<appender name="DBLog"></appender>`中的配置为自己数据库的信息即可

## seurity（权限）

#### `application-dev.yml`中`cy.model.security` 下相关配置
1. 目前是登陆后才可访问其他接口
2. 开启所有接口的直接访问：`cy.model.security.permitUnStatic` 下加` - "*/**" `即可
 