
-- ----------------------------
-- Table structure for b_space
-- ----------------------------
DROP TABLE IF EXISTS `b_space`;
CREATE TABLE `b_space`  (
  `business_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '主键id',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '创建者',
  `create_date` datetime(0) DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '更新者',
  `update_date` datetime(0) DEFAULT NULL COMMENT '更新时间',
  `del_flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '删除标记（0：正常；1：删除；2：审核）',
  `flag` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '启用标记（0：停用；1：启用）',
  `remarks` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT '' COMMENT '注释',
  `space_id` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '空间编号',
  `space_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '空间名',
  `realm_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci DEFAULT NULL COMMENT '域名',
  PRIMARY KEY (`business_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of b_space
-- ----------------------------
INSERT INTO `b_space` VALUES ('001', '01', NULL, '01', '2018-08-06 12:59:50', '0', '1', NULL, '001', '空间1', '001');
INSERT INTO `b_space` VALUES ('41ccbfbedd734e44bc80f53623cd4a85', '215603b3897a4d798c6907c79b34c68b', '2018-09-19 18:02:12', '215603b3897a4d798c6907c79b34c68b', '2018-09-19 18:02:12', '0', '1', '', NULL, NULL, NULL);
INSERT INTO `b_space` VALUES ('4c260062c63f49518440a306fa915cfc', '215603b3897a4d798c6907c79b34c68b', '2018-09-05 11:24:34', '215603b3897a4d798c6907c79b34c68b', '2018-09-05 11:24:34', '0', '1', '', NULL, NULL, NULL);
INSERT INTO `b_space` VALUES ('6c3611f8640f4536ba8cbd9e41416265', '215603b3897a4d798c6907c79b34c68b', '2018-08-22 13:51:11', '01', '2018-08-22 22:54:12', '0', '1', '', '006', '第六空间', 'sapce6.com');
INSERT INTO `b_space` VALUES ('6e8e42f5a2d649d5a8d3284fc1b21788', '215603b3897a4d798c6907c79b34c68b', '2018-09-19 18:00:19', '215603b3897a4d798c6907c79b34c68b', '2018-09-19 18:00:19', '0', '1', '', NULL, NULL, NULL);
INSERT INTO `b_space` VALUES ('75c48c9f5fc842aca013d79604efe630', '215603b3897a4d798c6907c79b34c68b', '2018-08-22 16:25:05', '01', '2018-08-22 23:10:37', '1', '0', '', '007', '第七空间', 'space7.com');
INSERT INTO `b_space` VALUES ('e0c482269573438a87f0b38281ab2b5c', '01', '2018-08-08 10:08:13', '01', '2018-08-08 10:08:33', '0', '1', '', '002', '第二空间', 'space2.com');
INSERT INTO `b_space` VALUES ('e9909bf60491439698a88d027ed582c3', '01', '2018-08-20 16:30:57', '01', '2018-08-22 23:01:40', '0', '1', '', '003', '第三空间', 'space3.com');
INSERT INTO `b_space` VALUES ('f76841e3afb94723a14c0a627be51440', '01', '2018-08-22 13:40:02', '01', '2018-08-22 23:01:51', '0', '1', '', '004', '第四空间', 'space4.com');