package org.rcisoft.business.bspace.dao;

import org.rcisoft.business.bspace.entity.BSpace;
import org.apache.ibatis.annotations.ResultMap;
import org.apache.ibatis.annotations.Select;
import org.rcisoft.core.base.CyBaseMapper;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

/**
 * Created with  on 2018-6-21 17:10:54.
 */
@Repository
public interface BSpaceRepository extends CyBaseMapper<BSpace> {

    /**
     * 分页查询 bSpace
     *
     */
    @Select("<script>select * from b_space where 1=1 "
            + "and del_flag =  0 "
            + "and flag = 1  "
            + "<if test=\"businessId !=null and businessId != '' \">and business_id = #{businessId} </if> "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<BSpace> queryBSpaces(BSpace bSpace);

    /**
     * @param businessId
     * @return
     */
    @Select("select count(*) from b_space where del_flag = 0 and flag = 1 and business_id = #{businessId}")
    int existSpace(String businessId);

    /**
     * 分页查询
     * 分页增加
     *
     * */
    @Select("<script>select * from b_space where flag = '1' and del_flag = '0' "
            + "and business_id = #{businessId}"
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<BSpace> querySpaceListsByName(BSpace spaceList);


    /**
     * 通过businessId查询
     * @param spaceId
     * @return
     */
    @Select("select * from b_space b where b.flag = '1' and b.del_flag = '0' and b.business_id=#{spaceId}")
    @ResultMap(value = "BaseResultMap" )
    BSpace querySpaceListByBusinessId(String spaceId);

    /**
     * spaceAdd 新增
     * @param spaceList
     * @return
     */
    @Select("<script>select * from b_space where flag = '1' and del_flag = '0' "
            + "and space_id = #{spaceId} "
            + "</script>")
    @ResultMap(value = "BaseResultMap" )
    List<BSpace> querySpaceListsByCodeOrName(BSpace spaceList);

    /**
     * 分页查询 bSpaceCategory
     *查询空间列表  不分页
     */
    @Select("<script>select * from b_space where "
            + " del_flag = 0 and flag = 1  </script>")
    @ResultMap(value = "BaseResultMap" )
    List<BSpace> queryBSpaceCategorys(BSpace spaceList);

    @Select("<script> SELECT " +
            "bs.space_name as spaceName, bs.space_id as spaceId, " +
            "DATE_FORMAT( bs.create_date, '%Y-%m-%d' ) AS date " +
            "FROM " +
            "b_space bs  " +
            "WHERE " +
            "1 = 1  " +
            "AND bs.create_date BETWEEN '2018-7-28'  " +
            "AND '2018-8-28'  " +
            "GROUP BY  " +
            "bs.business_id, " +
            "date " +
            "</script>")
    List<Map<String, Object>> queryAllSpacesByTime(String beginTime, String endTime);

    /**
     * 查询空间数
     * @param spaceList
     * @return
     */
    @Select("select count(*) as spaceNum from b_space bs where bs.del_flag = 0 and bs.flag = 1")
    List<BSpace> querySpaceNum(BSpace spaceList);


}

