package org.rcisoft.business.bspace.entity;

import lombok.*;

import org.hibernate.validator.constraints.Length;
import org.hibernate.validator.constraints.NotBlank;
import org.rcisoft.core.entity.CyIdEntity;
import org.springframework.data.annotation.Transient;

import javax.persistence.*;

/**
 * Created with  on 2018-6-21 17:10:54.
 */
@Data
@Table(name = "b_space")
@NoArgsConstructor
@AllArgsConstructor
public class BSpace extends CyIdEntity<BSpace> {

     private static final long serialVersionUID = -2165299707591725301L;
     @Length(min=1,max=64,message="长度最小为1,最大为50")
     @NotBlank
     private String spaceName;

     @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
     @NotBlank
     private String spaceId;

     @Length(min = 1,max = 64,message = "长度最小为1,最大为50")
     @NotBlank
     private String realmName;

     @Transient
     private String spaceNum;
}

