package org.rcisoft.business.bspace.service;


import org.rcisoft.business.bspace.entity.BSpace;
import org.rcisoft.core.aop.CyPageUtil;
import org.rcisoft.core.model.CyPersistModel;

import java.util.List;
import java.util.Map;

/**
 * Created by  on 2018-6-21 17:10:54.
 */
public interface BSpaceService {

    /**
     * 保存
     *
     * @param bSpace
     * @return
     */
    CyPersistModel save(BSpace bSpace);

    /**
     * 逻辑删除
     *
     * @param bSpace
     * @return
     */
    CyPersistModel remove(BSpace bSpace);

    /**
     * 修改
     *
     * @param bSpace
     * @return
     */
    CyPersistModel merge(BSpace bSpace);

    /**
     * 根据id查询
     *
     * @param id
     * @return
     */
    BSpace findById(String id);

    /**
     * 分页查询
     *
     * @param bSpace
     * @return
     */
    List<BSpace> findAllByPagination(CyPageUtil<BSpace> paginationUtility, BSpace bSpace);
    /**
     * @param bSpace
     * @return java.util.List<org.rcisoft.business.bspace.entity.BSpace>
     * @author ningxy
     * @description 不分页查询所有空间
     * @date 2018/7/20 下午1:36
     */
    List<BSpace> listAllSpaces(BSpace bSpace);

    /**
     * 增加/修改
     * @param spaceList
     * @param token
     * @return
     */

    int persistSpaceList(BSpace spaceList, String token);

    /**
     * 通过businessId查询
     * @param businessId
     * @return
     */
    BSpace querySpaceListByBusinessId(String businessId);
    /**
     * 查询 分页
     * 查询所有角色，不分页
     */
    List<BSpace> querySpaceListsByPagination(CyPageUtil<BSpace> paginationUtility, BSpace spaceList);

    /**
     * 查询空间数
     * @param spaceList
     * @return
     */
    List<BSpace> querySpaceNum(BSpace spaceList);
}
